com.smartgwt.client.tools

## Class FormItemEditProxy

- java.lang.Object
- - com.smartgwt.client.core.BaseClass
  - - com.smartgwt.client.tools.EditProxy
    - - com.smartgwt.client.tools.FormItemEditProxy

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers
  Direct Known Subclasses:
    CheckboxItemEditProxy, DateItemEditProxy, FileItemEditProxy, SelectItemEditProxy, TextItemEditProxy, ToolbarItemEditProxy

      public class FormItemEditProxy
      extends EditProxy

  `EditProxy` that handles `FormItem`s when editMode is enabled.
  See Also:
    `Dashboards & Tools Framework Overview`

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.BaseClass

      `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormItemEditProxy()`
    `FormItemEditProxy(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.core.client.JavaScriptObject` | `create()`
    `static FormItemEditProxy` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.String` | `getValueMapDisplaySeparatorChar()` If `inline editing` for this FormItem edits the `FormItem.valueMap`, character that should be used as a separator for entering `com.smartgwt.client.types.ValueMap`s that map from a stored value to a user-displayed value.
    `java.lang.String` | `getValueMapEscapeChar()` If `inline editing` for this FormItem edits the `FormItem.valueMap`, character that can be used to enter literal separator chars (such as the `valueMapSeparatorChar`) or literal leading or trailing whitespace.
    `java.lang.String` | `getValueMapSelectedChar()` If `inline editing` for this FormItem edits the `FormItem.valueMap`, character that can be used to mark the default selected option.
    `java.lang.String` | `getValueMapSeparatorChar()` If `inline editing` for this FormItem edits the `FormItem.valueMap`, character that should be used as a separator between values, or between pairs of stored vs display values if the user is entering such a `com.smartgwt.client.types.ValueMap` using the `valueMapDisplaySeparatorChar`.
    `FormItemEditProxy` | `setValueMapDisplaySeparatorChar(java.lang.String valueMapDisplaySeparatorChar)` If `inline editing` for this FormItem edits the `FormItem.valueMap`, character that should be used as a separator for entering `com.smartgwt.client.types.ValueMap`s that map from a stored value to a user-displayed value.
    `FormItemEditProxy` | `setValueMapEscapeChar(java.lang.String valueMapEscapeChar)` If `inline editing` for this FormItem edits the `FormItem.valueMap`, character that can be used to enter literal separator chars (such as the `valueMapSeparatorChar`) or literal leading or trailing whitespace.
    `FormItemEditProxy` | `setValueMapSelectedChar(java.lang.String valueMapSelectedChar)` If `inline editing` for this FormItem edits the `FormItem.valueMap`, character that can be used to mark the default selected option.
    `FormItemEditProxy` | `setValueMapSeparatorChar(java.lang.String valueMapSeparatorChar)` If `inline editing` for this FormItem edits the `FormItem.valueMap`, character that should be used as a separator between values, or between pairs of stored vs display values if the user is entering such a `com.smartgwt.client.types.ValueMap` using the `valueMapDisplaySeparatorChar`.

    - ### Methods inherited from class com.smartgwt.client.tools.EditProxy

      `getAllowNestedDrops, getAutoMaskChildren, getBringToFrontOnSelect, getCanSelect, getCanSelectChildren, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getEditMask, getHoopSelector, getInlineEditEvent, getInlineEditForm, getInlineEditInstructionLabel, getInlineEditInstructions, getInlineEditMultiline, getInlineEditOnDrop, getInlineEditText, getJsObj, getOrCreateJsObj, getPersistCoordinates, getSelectedAppearance, getSelectedBorder, getSelectedLabelBackgroundColor, getSelectedTintColor, getSelectedTintOpacity, getShowDragHandle, getSupportsInlineEdit, getUseCopyPasteShortcuts, getUseEditMask, isCreated, setAllowNestedDrops, setAutoMaskChildren, setBringToFrontOnSelect, setCanSelect, setCanSelectChildren, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setInlineEditEvent, setInlineEditInstructions, setInlineEditMultiline, setInlineEditOnDrop, setInlineEditText, setJavaScriptObject, setPersistCoordinates, setSelectedAppearance, setSelectedBorder, setSelectedLabelBackgroundColor, setSelectedTintColor, setSelectedTintOpacity, setShowDragHandle, setSupportsInlineEdit, setUseCopyPasteShortcuts, setUseEditMask, showSelectedAppearance, startInlineEditing, startInlineEditing`

    - ### Methods inherited from class com.smartgwt.client.core.BaseClass

      `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getID, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, onInit, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setID, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FormItemEditProxy

          public FormItemEditProxy()

    - #### FormItemEditProxy

          public FormItemEditProxy(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static FormItemEditProxy getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### create

          public com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `EditProxy`

    - #### setValueMapDisplaySeparatorChar

          public FormItemEditProxy setValueMapDisplaySeparatorChar(java.lang.String valueMapDisplaySeparatorChar)
                                                            throws java.lang.IllegalStateException

      If `inline editing` for this FormItem edits the `FormItem.valueMap`, character that should be used as a separator for entering `com.smartgwt.client.types.ValueMap`s that map from a stored value to a user-displayed value.

      With the default of ":", the following input:

                 1:Fixed, 2:Won't Fix, 3:Resolved

      Would be assumed to be a mapping like this (expressed in JSON):

              {
                 "1" : "Fixed",
                 "2" : "Won't Fix",
                 "3" : "Resolved"
              }

      If the input has inconsistent use of the separator char, the input will be assumed to be stored-to-displayed mapping if the separator char is present in a majority of values, and any values that lack a separator will use the same value for storage and display. For example, for this input:

                  Fixed:Reported Fixed, WontFix:Won't Fix, Resolved

      The resulting `valueMap` would be:

              {
                 "Fixed" : "Reported Fixed",
                 "WontFix" : "Won't Fix",
                 "Resolved" : "Resolved"
              }

      The `valueMapEscapeChar` can be used to enter literal colon characters.

      Set `valueMapDisplaySeparatorChar` to null to prevent entry of stored vs displayed values - user input will always be treated as just a list of legal values.

      Parameters:
        `valueMapDisplaySeparatorChar` - New valueMapDisplaySeparatorChar value. Default value is ":"
      Returns:
        `FormItemEditProxy` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getValueMapDisplaySeparatorChar

          public java.lang.String getValueMapDisplaySeparatorChar()

      If `inline editing` for this FormItem edits the `FormItem.valueMap`, character that should be used as a separator for entering `com.smartgwt.client.types.ValueMap`s that map from a stored value to a user-displayed value.

      With the default of ":", the following input:

                 1:Fixed, 2:Won't Fix, 3:Resolved

      Would be assumed to be a mapping like this (expressed in JSON):

              {
                 "1" : "Fixed",
                 "2" : "Won't Fix",
                 "3" : "Resolved"
              }

      If the input has inconsistent use of the separator char, the input will be assumed to be stored-to-displayed mapping if the separator char is present in a majority of values, and any values that lack a separator will use the same value for storage and display. For example, for this input:

                  Fixed:Reported Fixed, WontFix:Won't Fix, Resolved

      The resulting `valueMap` would be:

              {
                 "Fixed" : "Reported Fixed",
                 "WontFix" : "Won't Fix",
                 "Resolved" : "Resolved"
              }

      The `valueMapEscapeChar` can be used to enter literal colon characters.

      Set `valueMapDisplaySeparatorChar` to null to prevent entry of stored vs displayed values - user input will always be treated as just a list of legal values.

      Returns:
        Current valueMapDisplaySeparatorChar value. Default value is ":"

    - #### setValueMapEscapeChar

          public FormItemEditProxy setValueMapEscapeChar(java.lang.String valueMapEscapeChar)
                                                  throws java.lang.IllegalStateException

      If `inline editing` for this FormItem edits the `FormItem.valueMap`, character that can be used to enter literal separator chars (such as the `valueMapSeparatorChar`) or literal leading or trailing whitespace.

      Repeat this character twice to enter it literally. For example, with the default of "\", inputting "\\" would result in a literal backslash in the value.

      Parameters:
        `valueMapEscapeChar` - New valueMapEscapeChar value. Default value is "\"
      Returns:
        `FormItemEditProxy` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getValueMapEscapeChar

          public java.lang.String getValueMapEscapeChar()

      If `inline editing` for this FormItem edits the `FormItem.valueMap`, character that can be used to enter literal separator chars (such as the `valueMapSeparatorChar`) or literal leading or trailing whitespace.

      Repeat this character twice to enter it literally. For example, with the default of "\", inputting "\\" would result in a literal backslash in the value.

      Returns:
        Current valueMapEscapeChar value. Default value is "\"

    - #### setValueMapSelectedChar

          public FormItemEditProxy setValueMapSelectedChar(java.lang.String valueMapSelectedChar)
                                                    throws java.lang.IllegalStateException

      If `inline editing` for this FormItem edits the `FormItem.valueMap`, character that can be used to mark the default selected option. Can appear before or after a value, for example, with this input:

                Fixed,Won't Fix,Resolved*

      "Resolved" would be the default selected value.

      If multiple values are marked selected for a SelectItem, `SelectItem.multiple` will automatically be set.

      The `valueMapEscapeChar` can be used to allow the `valueMapSelectedChar` to appear at the beginning or end of a valueMap value.

      Parameters:
        `valueMapSelectedChar` - New valueMapSelectedChar value. Default value is "*"
      Returns:
        `FormItemEditProxy` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getValueMapSelectedChar

          public java.lang.String getValueMapSelectedChar()

      If `inline editing` for this FormItem edits the `FormItem.valueMap`, character that can be used to mark the default selected option. Can appear before or after a value, for example, with this input:

                Fixed,Won't Fix,Resolved*

      "Resolved" would be the default selected value.

      If multiple values are marked selected for a SelectItem, `SelectItem.multiple` will automatically be set.

      The `valueMapEscapeChar` can be used to allow the `valueMapSelectedChar` to appear at the beginning or end of a valueMap value.

      Returns:
        Current valueMapSelectedChar value. Default value is "*"

    - #### setValueMapSeparatorChar

          public FormItemEditProxy setValueMapSeparatorChar(java.lang.String valueMapSeparatorChar)
                                                     throws java.lang.IllegalStateException

      If `inline editing` for this FormItem edits the `FormItem.valueMap`, character that should be used as a separator between values, or between pairs of stored vs display values if the user is entering such a `com.smartgwt.client.types.ValueMap` using the `valueMapDisplaySeparatorChar`.

      If `EditProxy.inlineEditMultiline` is enabled, newlines will be used as value separators and the `valueMapSeparatorChar`

      The `valueMapEscapeChar` can be used to enter the separator char as part of a valueMap value.

      Parameters:
        `valueMapSeparatorChar` - New valueMapSeparatorChar value. Default value is ","
      Returns:
        `FormItemEditProxy` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getValueMapSeparatorChar

          public java.lang.String getValueMapSeparatorChar()

      If `inline editing` for this FormItem edits the `FormItem.valueMap`, character that should be used as a separator between values, or between pairs of stored vs display values if the user is entering such a `com.smartgwt.client.types.ValueMap` using the `valueMapDisplaySeparatorChar`.

      If `EditProxy.inlineEditMultiline` is enabled, newlines will be used as value separators and the `valueMapSeparatorChar`

      The `valueMapEscapeChar` can be used to enter the separator char as part of a valueMap value.

      Returns:
        Current valueMapSeparatorChar value. Default value is ","